# Visualization
TKV3d
AIS

# AIS_DataMapNodeOfDataMapofIntegerListOfinteractive Class Reference

`#include <AIS_DataMapNodeOfDataMapofIntegerListOfinteractive.hxx>`

## Public Member Functions

| AIS_DataMapNodeOfDataMapofIntegerListOfinteractive (const Standard_Integer &K, const AIS_ListOfInteractive &I, const TCollection_MapNodePtr &n)
Standard_Integer & | Key () const
AIS_ListOfInteractive & | Value () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Standard_Integer | myKey
AIS_ListOfInteractive | myValue

## Constructor & Destructor Documentation

AIS_DataMapNodeOfDataMapofIntegerListOfinteractive::AIS_DataMapNodeOfDataMapofIntegerListOfinteractive | ( | const Standard_Integer & | K,
|  | const AIS_ListOfInteractive & | I,
|  | const TCollection_MapNodePtr & | n
| ) |

## Member Function Documentation

Standard_EXPORT const AIS_DataMapNodeOfDataMapofIntegerListOfinteractive::Handle | ( | Standard_Type |  | ) | const

Standard_Integer& AIS_DataMapNodeOfDataMapofIntegerListOfinteractive::Key | ( |  | ) | const

AIS_ListOfInteractive& AIS_DataMapNodeOfDataMapofIntegerListOfinteractive::Value | ( |  | ) | const

## Field Documentation

Standard_Integer AIS_DataMapNodeOfDataMapofIntegerListOfinteractive::myKey `[private]`

AIS_ListOfInteractive AIS_DataMapNodeOfDataMapofIntegerListOfinteractive::myValue `[private]`

The documentation for this class was generated from the following file:

- AIS_DataMapNodeOfDataMapofIntegerListOfinteractive.hxx